| VismaBouwsoftAPICalls.v1_GET_CostCalculationTypes | Method |
This API call is used to get fields of a(n) CostCalculationType(s)
| HTTP method | API version |
|---|---|
| GET | v1 |
Don’t forget to put the Authorization field in the header
API Path: /CostCalculationTypes/
or
API Path: /CostCalculationTypes/FieldInfo/
You make this API call:
* to get the result of CostCalculationTypes
Fields
The following fields are available:
| Field Name | Type Id | Type Name | Length | Required | Writeable | Force Write | Link |
|---|---|---|---|---|---|---|---|
| name | 2 | tpString | 0 | No | No | No | |
| name_localized | 2 | tpString | 0 | No | No | No |
/CostCalculationTypes/
API Path: /CostCalculationTypes/
If everything succeeds the HTTP response status is 200
(200 OK)
If there is something wrong with the request, the response status and code is 400
(400 Bad Request)
If you forget to send the Authorization, the response status is 401
(401 Unauthorized)
If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)
For an explanation of all possible errors, please consult our section on possible answers to API calls here
Examples:
https://ra.bouwsoft.be/api/v1/CostCalculationTypes
with the following parameters :
Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: APkfWxfGttzSfAAlVfzRqfOVfGkOGfrtfUObzbbkVVDftVfbGO
Success gives statuscode 200 And the following result
{
“Content-Range”:“0–3/4”,
“Records”:
[
{
"id": 1,
"name": "product",
"name_localized": "Article"
},
{
"id": 3,
"name": "hour",
"name_localized": "Hour"
}
,
…
]
}
https://ra.bouwsoft.be/api/v1/CostCalculationTypes
with the following parameters :
Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: kfDfWxffmtzSffVfPfzRqPfjfkUrGfAGfkmbzPmVOkPflrUPkr
Query Parameters :
ParameterName: limit, ParameterValue: 5
Success gives statuscode 200 And the following result
{
“Content-Range”:“0–3/4”,
“Records”:
[
{
"id": 1,
"name": "product",
"name_localized": "Article"
},
{
"id": 3,
"name": "hour",
"name_localized": "Hour"
}
,
…
]
}
/CostCalculationTypes/FieldInfo
If everything succeeds the HTTP response status is 200
(200 OK)
If there is something wrong with the request, the response status and code is 400
(400 Bad Request)
If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)
If you forget to send the Authorization, the response status is 401
(401 Unauthorized)
If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)
For an explanation of all possible errors, please consult our section on possible answers to API calls here
Examples:
https://ra.bouwsoft.be/api/v1/CostCalculationTypes/FieldInfo
with the following parameters :
Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115
Success gives statuscode 200 And the following result
[
{
"name": "name",
"type_id": 2,
"type_name": "tpString",
"length": 0,
"required": false,
"writeable": false,
"forcewrite": false,
"link": ""
},
{
"name": "name_localized",
"type_id": 2,
"type_name": "tpString",
"length": 0,
"required": false,
"writeable": false,
"forcewrite": false,
"link": ""
}
]